it-swarm-es.com

Antiguo controlador USB en 12.10

Tengo un dispositivo USB que viene con un controlador genérico de Linux en forma de módulo de kernel. Es un archivo .ko que se supone que debo instalar. Sin embargo, fue compilado para la versión 2.16.18-53 del kernel de Linux. No tengo acceso a la fuente.

¿Es posible hacer que esto funcione en Ubuntu 12.10 con Linux 3.2.0-39-generic-pae?

1
Kalle Elmér
  • El módulo se negará a cargar por defecto.
  • Puedes intentar forzarlo con modprobe -f. Quizás tengas suerte.
  • El mejor método es recompilarlo contra el nuevo núcleo. Mire DKMS , eso es lo que se usa en Ubuntu para paquetes que usan módulos de kernel. Aquí hay un ejemplo con un módulo de mouse .
  • Otro método posible podría ser publicar el archivo en una lista de correo (relevante) y preguntar si alguien podría/puede volver a compilarlo.

Pero ... tener un archivo fuente puede ser crucial.

1
Rinzwind